> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Renewal Decision

> Returns a renewal decision by ID.



## OpenAPI

````yaml GET /api/v1/groups/{group_id}/renewal_decisions/{renewal_decision_id}
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/renewal_decisions/{renewal_decision_id}:
    get:
      tags:
        - Renewal Decisions
      summary: Get an existing renewal decision by id
      description: Returns a renewal decision by ID.
      operationId: getRenewalDecision
      parameters:
        - description: >-
            The unique identifier of the group for which you are retrieving a
            renewal decision
          in: path
          name: group_id
          required: true
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
        - description: The unique identifier of the renewal decision you want to retrieve
          in: path
          name: renewal_decision_id
          required: true
          schema:
            example: 4093a441-d4c8-4c8a-24d1-e7a132fb1bc2
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                body:
                  carriers:
                    - carrier_id: bf81f0c4-3105-4240-b62b-aa6de3f607e4
                      lines_of_coverage:
                        dental:
                          open_enrollment_end_date: '2022-01-31'
                          open_enrollment_start_date: '2022-01-01'
                          plans:
                            - name: Dental Plus Plan
                              plan_id: 81803f12-0a96-11ec-9a03-0242ac130003
                        medical:
                          open_enrollment_end_date: '2022-01-31'
                          open_enrollment_start_date: '2022-01-01'
                          plans:
                            - name: Select Plus PPO HDHP Gold BRJJ /C38
                              plan_id: 818e52d4-6c34-4914-b716-a3047c85e468
                            - name: Select Plus PPO HDHP Silver BRJJ /C38
                              plan_id: f9897240-87f8-4d9d-a68f-58bc445fe0b2
                            - name: Select Plus PPO HDHP Bronze BRJJ /C38
                              plan_id: 19437852-3795-4cb4-939c-a86543eabee0
                created: 1557862286
                group_id: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                id: b5f2b5f7-0336-45f7-baf1-7e11dfac50a6
                issues:
                  - level: error
                    message: >-
                      Life open enrollment start date is 2021-08-01 in carrier
                      system
                  - level: error
                    message: LTD Plan not available yet in carrier system
                modified: 1557862286
                renewal_date: '2022-01-01'
                status: not_ready
                version: 23be0ba3-1183-4e8e-8e9d-644527414c6e
              schema:
                $ref: '#/components/schemas/RenewalDecisionResult'
          description: Successful Response - Returns the found renewal decision.
components:
  schemas:
    RenewalDecisionResult:
      properties:
        body:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionBody'
          description: The carrier and coverage expectations for the open enrollment period
        created:
          description: The date the record was created
          type: integer
        group_id:
          description: Unique identifier of the group in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        issues:
          description: >-
            List of any issues that explain why the open enrollment is
            'not_ready'. Will be empty if it is status 'ready' or 'submitted'.
          items:
            $ref: '#/components/schemas/RenewalDecisionIssue1'
          type: array
        modified:
          description: The date the record was last updated
          type: integer
        renewal_date:
          description: >-
            The start date for the new enrollment year when all coverage changes
            and decisions should become active
          format: date
          readOnly: true
          type: string
        status:
          description: >-
            Calculated status based on whether or not the carrier system matches
            the expected renewal decisions
          enum:
            - submitted
            - not_ready
            - ready
            - done
          readOnly: true
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - body
        - created
        - group_id
        - id
        - issues
        - modified
        - renewal_date
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - status
        - group_id
        - renewal_date
        - body
        - issues
    RenewalDecisionBody:
      properties:
        carriers:
          description: Carrier-specific open enrollment information
          items:
            $ref: '#/components/schemas/RenewalDecisionCarrier'
          minItems: 1
          type: array
      required:
        - carriers
      type: object
    RenewalDecisionIssue1:
      properties:
        carrier_id:
          description: Unique identifier of the associated carrier in Noyo
          format: uuid
          type: string
        level:
          description: The level or severity of the issue found
          enum:
            - warning
            - error
          type: string
        line_of_coverage:
          description: Line of coverage related to the issue
          type: string
        message:
          description: Message describing the issue found and any steps to resolve
          type: string
      required:
        - level
        - message
      type: object
    RenewalDecisionCarrier:
      properties:
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          type: string
        lines_of_coverage:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionLinesOfCoverage'
          description: Expected open enrollment information for each line of coverage
      required:
        - carrier_id
      type: object
      x-field_order:
        - carrier_id
        - lines_of_coverage
    RenewalDecisionLinesOfCoverage:
      properties:
        accident:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionAccidentLOC'
          description: Open enrollment information relating to accident plans
        add:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionADDLOC'
          description: Open enrollment information relating to AD&D plans
        cancer:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionCancerLOC'
          description: Open enrollment information relating to cancer plans
        critical_illness:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionCriticalIllnessLOC'
          description: Open enrollment information relating to critical illness plans
        dental:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionDentalLOC'
          description: Open enrollment information relating to dental plans
        health_fund:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionHealthFundLOC'
          description: Open enrollment information relating to health fund plans
        hospital_indemnity:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionHospitalIndemnityLOC'
          description: Open enrollment information relating to hospital indemnity plans
        life:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionLifeLOC'
          description: Open enrollment information relating to life plans
        ltd:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionLTDLOC'
          description: Open enrollment information relating to LTD plans
        medical:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionMedicalLOC'
          description: Open enrollment information relating to medical plans
        pharmacy:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionPharmacyLOC'
          description: Open enrollment information relating to pharmacy plans
        std:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionSTDLOC'
          description: Open enrollment information relating to STD plans
        vision:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionVisionLOC'
          description: Open enrollment information relating to vision plans
        wellness:
          allOf:
            - $ref: '#/components/schemas/RenewalDecisionWellnessLOC'
          description: Open enrollment information relating to wellness plans
      type: object
      x-field_order:
        - medical
        - dental
        - vision
        - life
        - add
        - std
        - ltd
        - accident
        - critical_illness
        - cancer
        - health_fund
        - hospital_indemnity
        - pharmacy
        - wellness
    RenewalDecisionAccidentLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to accident plans
          items:
            $ref: '#/components/schemas/RenewalDecisionAccidentPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionADDLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to ADD plans
          items:
            $ref: '#/components/schemas/RenewalDecisionADDPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionCancerLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to cancer plans
          items:
            $ref: '#/components/schemas/RenewalDecisionCancerPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionCriticalIllnessLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to critical illness plans
          items:
            $ref: '#/components/schemas/RenewalDecisionCriticalIllnessPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionDentalLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to dental plans
          items:
            $ref: '#/components/schemas/RenewalDecisionDentalPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionHealthFundLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to health fund plans
          items:
            $ref: '#/components/schemas/RenewalDecisionHealthFundPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionHospitalIndemnityLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to hospital indemnity plans
          items:
            $ref: '#/components/schemas/RenewalDecisionHospitalIndemnityPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionLifeLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to life plans
          items:
            $ref: '#/components/schemas/RenewalDecisionLifePlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionLTDLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to LTD plans
          items:
            $ref: '#/components/schemas/RenewalDecisionLTDPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionMedicalLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to medical plans
          items:
            $ref: '#/components/schemas/RenewalDecisionMedicalPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionPharmacyLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to pharmacy plans
          items:
            $ref: '#/components/schemas/RenewalDecisionPharmacyPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionSTDLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to STD plans
          items:
            $ref: '#/components/schemas/RenewalDecisionSTDPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionVisionLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to vision plans
          items:
            $ref: '#/components/schemas/RenewalDecisionVisionPlan'
          minItems: 1
          type: array
      type: object
      x-field_order:
        - open_enrollment_start_date
        - open_enrollment_end_date
        - plans
    RenewalDecisionWellnessLOC:
      properties:
        open_enrollment_end_date:
          description: >-
            ISO-8601 date string for the end of the open enrollment period when
            member requests and changes can be processed
          example: '2022-02-01'
          format: date
          type: string
        open_enrollment_start_date:
          description: >-
            ISO-8601 date string for the start of the open enrollment period
            when member requests and changes can be processed
          example: '2022-01-01'
          format: date
          type: string
        plans:
          description: Open enrollment information related to wellness plans
          items:
            $ref: '#/components/schemas/RenewalDecisionWellnessPlan'
          minItems: 1
          type: array
      type: object
    RenewalDecisionAccidentPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionADDPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionCancerPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionCriticalIllnessPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionDentalPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionHealthFundPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionHospitalIndemnityPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionLifePlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionLTDPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionMedicalPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionPharmacyPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionSTDPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionVisionPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object
      x-field_order:
        - plan_id
        - name
    RenewalDecisionWellnessPlan:
      properties:
        name:
          description: Name of the group plan
          type: string
        plan_id:
          description: Unique ID of a group plan that exists in the Noyo system
          format: uuid
          type: string
      type: object

````